
// @ts-nocheck
import React from 'react';
import Base from './base/base';


class Group extends Base {

    constructor() {
        super();

        this.fields = [
            {
                field: 'name',
                caption: 'Name',
            },

            {
                field: 'description',
                caption: 'Description',
            },

            {
                field: 'path',
                caption: 'Path',
            },
        ];
    }

    get getEndpoint() {
        return 'groups';
    }

    get path() {
        return `groups`;
    }

    get getName() {
        return this.modelName + `s`;
    }

    get modelName() {
        return `groups`;
    }

    get route() {
        return 'groups';
    }

    /**
     *
     */
    get columns() {
        return [
            {
                caption: 'Name',
                field: 'name',
                key: 'name',
            },

            {
                caption: 'Description',
                field: 'description',
                key: 'description',
            },

            {
                caption: 'Path',
                field: 'path',
                key: 'path',
            },

            {
                caption: 'Created By',
                field: 'created_by',
                key: 'created_by',
            }]

    }
}

export default Group;
